<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main></main>
    <script>
        const url = "https://randomuser.me/api/"
        
        document.addEventListener("DOMContentLoaded", init)

        function init(){
            fetchPerson(url)
        }

        function fetchPerson(url){
            fetch(url)
            .then(parseToJson)
            .then(renderData)
            .catch(console.error)
        }

        function parseToJson(response){
            return response.json()
        }

        function renderData(data){                        
            const name = getPersonName(data)
            renderName(name)
        }

        function getPersonName(data){
            return data.results[0].name
        }

        function renderName(name){
            document.querySelector("main").innerHTML = `Welcome ${name.title} ${name.first} ${name.last}`
        }
        
    </script>
</body>
</html>